import request from '@/utils/request';

/**
 * 获取信息详情
 */
export async function getDetail(id) {
  const res = await request.get(`/eom/contract/getById/${id}`, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 更新信息
 */
export async function UpdateInformation(data) {
  const res = await request.put(`/eom/contract/update`, data);
  return res.data;
}

/**
 * 企业信息
 */
export async function enterprisePage(params) {
  const res = await request.get(`/main/enterprise/page`, { params });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 获取信息列表
 */
export async function getTableList(params) {
  const res = await request.get(`/eom/contract/page`, { params });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}






/**
 * 流程作废
 */
export async function cancel(data) {
  const res = await request.put(`/bpm/contractApprove/notPass`, data);
  if (res.data.code == 0) {
    return Promise.resolve(res.data);
  }
  return Promise.reject(new Error(res.data.message));
}
